Skip to content

Ingest survey response

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
surveyIdstring
questionResponsesobject
responseTimeinteger, (int64)
tagsArray of strings
distributionChannelstring
responseCustomFieldsobject
profileCustomFieldsobject
transactionCustomFieldsobject
responderSnIdstring
responderSnTypestring
surveyLanguagestring
elapsedTimeinteger, (int64)
curl -i -X POST \
  https://api3.sprinklr.com/prod/api/v3/surveyResponse \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "surveyId": "string",
    "questionResponses": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "responseTime": 0,
    "tags": [
      "string"
    ],
    "distributionChannel": "string",
    "responseCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "profileCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "transactionCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "responderSnId": "string",
    "responderSnType": "string",
    "surveyLanguage": "string",
    "elapsedTime": 0
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }